## com.imcode.imcms.api
Enum Meta.UnavailableI18nDataSubstitution

    java.lang.Object
      java.lang.Enum<Meta.UnavailableI18nDataSubstitution>
          com.imcode.imcms.api.Meta.UnavailableI18nDataSubstitution

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Meta.UnavailableI18nDataSubstitution>

Enclosing class:
  Meta

    public static enum Meta.UnavailableI18nDataSubstitution

extends java.lang.Enum<Meta.UnavailableI18nDataSubstitution>

Document content show mode for disabled translation. DiabledI18nContentShowMode would be more descriptive.

See Also:
  `I18nMeta.getEnabled`

Enum Constant Summary
`DO_NOT_SHOW`
`SHOW_IN_DEFAULT_LANGUAGE`

Method Summary
`static Meta.UnavailableI18nDataSubstitution` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Meta.UnavailableI18nDataSubstitution[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHOW_IN_DEFAULT_LANGUAGE

    public static final Meta.UnavailableI18nDataSubstitution SHOW_IN_DEFAULT_LANGUAGE

### DO_NOT_SHOW

    public static final Meta.UnavailableI18nDataSubstitution DO_NOT_SHOW

Method Detail

### values

    public static final Meta.UnavailableI18nDataSubstitution[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Meta.UnavailableI18nDataSubstitution c : Meta.UnavailableI18nDataSubstitution.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Meta.UnavailableI18nDataSubstitution valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name